Vicibox upgradation from 7.0 to 8.0

All installation and configuration problems and questions

Moderators: gerski, enjay, williamconley, Op3r, Staydog, gardo, mflorell, MJCoate, mcargile, Kumba, Michael_N

Vicibox upgradation from 7.0 to 8.0

Postby shan » Tue Oct 17, 2017 3:14 am

Hi,

There is a new version of Vicibox 8.0 updated on the website. I wanted to know what methods I can follow to upgrade my server from Vicibox 7.0 to 8.0. Please note that I am using a cluster, that is , a telephony server and a combined web and database server. Also please let us know if LTS(long term support) is available for the newer version. My telephony server specs are as following:

ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby williamconley » Wed Oct 18, 2017 3:38 pm

Best method:

1) Backup everything. There's a Vicidial backup script that does a very good job of this. Get that backup set off the server. Verify that the sql backup is VALID. Preferably by restoring it into a different mysql database on a different server. To Be Sure. Verify the table count and the record count in a couple of the largest tables, and that the sql script doesn't end with an error. Note that the mysqldump file is not something you want to try to edit directly. Even running "head" and "tail" on it can be CPU intense.

2) Upgrade the cluster (all servers) to the latest Vicidial version.

3) Run it for at least a day to be SURE that the upgrade didn't break anything. At this stage, you can still restore if something is broken.

4) Backup again, get the backup off the server again.

5) Install a fresh copy of Vicibox 8 on fresh servers (not the live servers, if you can avoid it, but obviously if you don't have extra servers you'll need to use the live ones). This should include clustering and everything. Verify that these servers work before restoring (create a campaign and autodial using at least one agent and make several calls on each dialer to be Sure).
* Copy the settings under "admin->servers" for each of the servers or mysqldump that one table.

6) Verify that the Version of Vicidial matches your "running yesterday" recent upgrade. In case there was an update in the last 24 hours. If not: You can either downgrade the install or upgrade the DB after the restore process.

7) Restore the DB onto the fresh install. Run the ip update script for all the old to new IPs if any have changed.
* Restore the settings under "admin->servers" for each of the servers or mysql < to reload that one table.
* Upgrade the DB if the version of Vicidial changed since your upgrade of the original servers.

8) Test again.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16957
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Thu Oct 19, 2017 5:11 am

Dear William,

Please elaborate following related to your reply:

2- By upgrading vicidial version, do you mean the SVN trunk version? Its currently 2.12 but Vicibox 8.0 composes of SVN trunk v 2.14 as per website.
5-You have advised to install a fresh copy of vicibox 8.0 version, so it means it will overide everything on the server which I have to do? Can we upgrade all the entities involved in the platform separately one by one, like first Opensuse version, asterisk version etc.
Last edited by shan on Fri Oct 20, 2017 1:04 am, edited 1 time in total.
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby williamconley » Thu Oct 19, 2017 11:32 am

shan wrote: ... Vicibox 8.0 composes of SVN trunk v 2014 as per website.


Vicibox will install the latest version of Vicidial OR the version that is on the CD (depending on the installation options selected).

When I say "Vicidial Version" I mean the text in the bottom left corner of almost all of the admin pages. This shows the version of Vicidial you are actually using. The version in the SVN folder (which is /usr/src/astguiclient/trunk) is not always what you are running. Modifying these files has no impact on the running server unless you run the install package or manually copy files.

After Vicibox installation you have the option to downgrade the SVN revision level in the /usr/src/astguiclient/trunk folder, and use that to downgrade the vicidial code. SVN revision level refers to the "vicidial code that is in the trunk folder" and can be *any* SVN revision level regardless of what Vicibox installer was used. This is what SVN is used for in Vicidial: It allows any version of Vicidial to be installed on any Vicidial server to match the codebase for any previously created backup set. There are many installations that have customized their system and must run on a specific version, so this makes it easy to choose a version.

Thus: SVN revision level applies to /usr/src/astguiclient/trunk which may (or may not) be related to the actually running code. When you post here ... always include the version of the actually running code (from the bottom left corner of the admin web pages) and optionally include the SVN revision level.

shan wrote:5-You have advised to install a fresh copy of vicibox 8.0 version, so it means it will overide everything on the server which I have to do? Can we upgrade all the entities involved in the platform separately one by one, like first Opensuse version, asterisk version etc.


To upgrade from Vicibox 7 to Vicibox 8 *requires* a full reinstall. Note that you can upgrade VICIDIAL (the call center software) without upgrading VICIBOX (the environment).

The question is WHY are you upgrading? If all you want is the latest version of Vicidial, you have no reason to try to change the Operating System and Software on the box. All you need is to follow the instructions to upgrade Vicidial (which is very simple, and covered in many posts and a wiki entry on the EFLO.net website).

If you want a feature available only in the newest Vicibox (installer), that would be the WebRTC package which I'm not sure is actually available/released yet anyway. You won't gain any other new features by upgrading the installer package.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16957
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)

Re: Vicibox upgradation from 7.0 to 8.0

Postby macaruchi » Thu Oct 19, 2017 6:24 pm

I am in the same boat . In my case I wanna upgrade because I am gonna change the server for another one. So I installed a fresh install with ViciBox8.0.1 and I get this
SVN: 2840
DB: 1522
my actual server is SVN:2592, DB: 1468 so I am trying since monday to restore my old DB to this new server without suceeds
I run the script upgrade2.14 but didnt work , with this I get the error WARNING: Code expects different schema: 1522

I think it is expecting the 1522 schema but I dont know how update my DB to this schema becuase there is no a upgrade script to this schema , there is no manifest upgrade to this.

How can I do that ?
I am gonna be crazy with this !!!
Any advice, help or just address me in the right direction ....?
macaruchi
 
Posts: 80
Joined: Wed Sep 21, 2016 8:11 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby williamconley » Thu Oct 19, 2017 8:17 pm

macaruchi wrote:I wanna upgrade because I am gonna change the server for another one.

You don't have to upgrade to install fresh.

You can use the same version on the new server with two exception scenarios:

1) If you require a feature available only in the newer version of Vicidial
* This does not appear to apply, as you said you are just switching out servers, not looking for a new feature

2) If the new install has a version of Asterisk that is too recent for the version of Vicidial on your old server.
* If the old server was Vicibox 7, and the new one is Vicibox 8, they both use Asterisk 11.

So you have some options:

* put the older version of Vicidial on your freshly installed box and your DB will match and you are good to go. This can be done in several ways: You can copy from the old server to the new server all the vicidial specific folders (this can be complex). You can back up and restore from the old to the new (a little easier, but still complex). Or you can downgrade the SVN level of the /usr/src/astguiclient/trunk folder to match the previous server and then reinstall from that folder (perl install.pl) and Vicidial will handle all that for you. You can even move trunk to "trunkOLD" or "trunk2840" and create a new trunk folder matching your previous install's svn level. It's just a repository, after all. No live code. svn is easy to use to download a fresh copy of ANY revision level.

* upgrade your old server before moving to the new server.
Code: Select all
cd /usr/src/astguiclient/trunk
svn up
cat UPGRADE


The svn up ONLY modifies the contents of the trunk folder. The trunk folder has no live code (it's a repository!) So this is a safe command even if the server is running. It doesn't do anything to any code actually in use.

The UPGRADE document contains instructions to complete the upgrade.

* move the DB to the new server and upgrade the DB to match the code in the new system.
This requires following the instructions in the /usr/src/astguiclient/trunk/UPGRADE document for upgrading the DB also.

* Install with the same CD you used before. Then you can back up on the old server, and restore everything on the new server, run the ip update script (because the new server has a different IP), reboot, and you're done.

But in all cases where you bring the DB from the old system to the new one, you have to take into account that the old DB has entries related to the old server. The IP Update script is useful. The entries under admin->servers may need to be changed (for instance if the asterisk version is different). sip.conf has an entry called externip that may need adjustment. There are a lot of threads which discuss upgrading and moving vicidial between servers. Each case is slightly different. Lots of details. One step at a time is best. 8-)
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16957
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Fri Oct 20, 2017 1:23 am

william wrote:
To upgrade from Vicibox 7 to Vicibox 8 *requires* a full reinstall. Note that you can upgrade VICIDIAL (the call center software) without upgrading VICIBOX (the environment).

The question is WHY are you upgrading? If all you want is the latest version of Vicidial, you have no reason to try to change the Operating System and Software on the box. All you need is to follow the instructions to upgrade Vicidial (which is very simple, and covered in many posts and a wiki entry on the EFLO.net website).

If you want a feature available only in the newest Vicibox (installer), that would be the WebRTC package which I'm not sure is actually available/released yet anyway. You won't gain any other new features by upgrading the installer package.


Thank you William for very helpful explanation. I don't want a fresh Vicibox install, its clear that i will just need to update the Vicidial version from 2.12 to 2.14 as per the instructions defined in folder /usr/src/astguiclient/trunk to add the new changes.

However on the other hand if i just to need to upgrade Opensuse version from 42.1 to 42.3, is it safe to proceed it with it?

Secondly i noticed asterisk version in both vicibox is version 11 series, how about if i want to upgrade to Asterisk 13? Will it have any compability isssues? Please note that the Asterisk 13 is the latest LTS version.
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby chornyi_taras » Fri Oct 20, 2017 3:23 am

However on the other hand if i just to need to upgrade Opensuse version from 42.1 to 42.3, is it safe to proceed it with it?

Secondly i noticed asterisk version in both vicibox is version 11 series, how about if i want to upgrade to Asterisk 13? Will it have any compability isssues? Please note that the Asterisk 13 is the latest LTS version.


I did this upgrade like this:
Code: Select all
1) cd /etc/zypp/repos.d
2) sed -i 's/42.1/42.3/g' *.repo
3) zypper refresh (say Yes or Y to any questions about accepting the new repos
4) zypper dup
5) reboot


Regarding Asterisk 13 there is a repo with it I've tried to use and it seems to be working:
http://download.opensuse.org/repositori ... Leap_42.3/
ViciBox: 7.0.3 | VERSION: 2.12-560aBUILD: 160617-1427 | Webphone: PBXWebPhone

Skype: tarasukcho
chornyi_taras
 
Posts: 77
Joined: Tue Jun 14, 2016 3:41 pm
Location: L'viv, Ukraine

Re: Vicibox upgradation from 7.0 to 8.0

Postby williamconley » Fri Oct 20, 2017 9:43 am

shan wrote:However on the other hand if i just to need to upgrade Opensuse version from 42.1 to 42.3, is it safe to proceed it with it?

Secondly i noticed asterisk version in both vicibox is version 11 series, how about if i want to upgrade to Asterisk 13? Will it have any compability isssues? Please note that the Asterisk 13 is the latest LTS version.

1) What would make you believe you need to alter the operating system? (This would be me asserting that you do NOT have any need to upgrade the OS: The entire purpose of the entire server's operating system and packages is to support Vicidial ... if Vicidial is running, you should NOT be obsessing about the OS, get the Microsoft guy away from your server.)

2) NO. Never upgrade Asterisk above what is pre-packaged with the latest version of Vicidial. It will not work in most cases (99%) and will be unstable if my some miracle the configuration and commands still work. Historically, until The Vicidial Group upgrades Vicidial to match a later version of Asterisk, it simply doesn't work.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16957
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Tue Oct 24, 2017 12:41 am

Ok Wiliiams thats great! I am first testing this upgradation process on VMware before implementation on live server. I installed Vicibox 7 on VM but I already got 2.14 version which is latest. I am not able to get 2.12 version so that I can practice it by upgrading it to 2.14 version. Also I am not able to downgrade it to 2.12. Please help, where can I get the older version?
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Tue Oct 24, 2017 3:40 am

I got resolved this issue by disconnecting my machine from internet before starting installation.
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Thu Oct 26, 2017 12:51 am

Ok, I have successfully upgraded my vicidial version from 2.12 to 2.14. Now in system settings it shows as following:
Version: 2.14b0.5
SVN Version: 2846
DB Schema Version: 1523

However at the left bottom of my web interface page, it still shows older version as following:

VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group


How can I change it too?
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby mflorell » Thu Oct 26, 2017 6:14 am

Did you run the install.pl script on all servers in your cluster after upgrading your svn/trunk codebase?
mflorell
Site Admin
 
Posts: 16594
Joined: Wed Jun 07, 2006 2:45 pm
Location: Florida

Re: Vicibox upgradation from 7.0 to 8.0

Postby shan » Mon Jan 08, 2018 3:39 am

yeah i do ran the script. This is probably because our vicidial htdocs directory is customized, i took its backup and restored it back after upgradation. Therefore I had to manually change the version description through admin.php file.
ViciBox v.7.0.3-160505
kernel: 4.1.20-11-default
Asterisk 11.22.0-vici
svn, version 1.8.10 (r1615264)
openSUSE Leap 42.1 (x86_64)"
architecture: x86_64
Dahdi 2.11.1
libpri.so.1.4
Vicidial VERSION: 2.12-552a
BUILD: 160429-0835
© 2016 ViciDial Group
shan
 
Posts: 30
Joined: Tue Sep 12, 2017 11:53 pm

Re: Vicibox upgradation from 7.0 to 8.0

Postby gequiros » Tue Jan 09, 2018 7:35 pm

William... you made my day:

if Vicidial is running, you should NOT be obsessing about the OS, get the Microsoft guy away from your server.

LOL !!!!
Vicibox 7.0.4

VERSION: 2.14-585a / BUILD: 170114-1356 / No VoIP hardware

1 x DataBase ( 32gb Ram - 24 Cores - 1 SSD 240gb )
1 x Web ( 16gb Ram - 16 Cores - 1 TB SATA )
4 x Dialers ( 8gb Ram - 16 Cores - 1 SSD 120gb

www.Come2VoIP-USA.com
gequiros
 
Posts: 110
Joined: Sat Oct 22, 2016 1:22 am
Location: Costa Rica

Re: Vicibox upgradation from 7.0 to 8.0

Postby williamconley » Tue Jan 09, 2018 8:50 pm

shan wrote:yeah i do ran the script. This is probably because our vicidial htdocs directory is customized, i took its backup and restored it back after upgradation. Therefore I had to manually change the version description through admin.php file.


hang on a minute here: you backed up and restored what exactly? If you reverted to prior php files ... they no longer match your running vicidial version

gequiros wrote: ... get the Microsoft guy away from your server.


Source: I'm a Microsoft Guy. I had a lot of problems with this 10 years ago when I first started this. Well, for about a month anyway. The first time it downed the server I was cured. And technically, that wasn't me: It was a "SugarCRM Professional". Who got fired for downing the CRM and Phone system by performing an unnecessary upgrade that could not be undone.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 16957
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)


Return to Support

Who is online

Users browsing this forum: No registered users and 19 guests

cron